#!/bin/bash
echo "First arg: $1"
echo "Second arg: $2"

FILE=/var/run/hw-management/lc2/eeprom/ini
if test -f "$FILE"; then
    echo 
else
    tar zxvf /usr/share/cumulus-platform/mlnx/simx_msn4800/etc/cumulus/hw-management_4800.tgz -C /var/run
fi

if [ "$1" = "400G" ]; then
    cp /usr/share/cumulus-platform/mlnx/simx_msn4800/etc/cumulus/lc_ini_400G.bin /var/run/hw-management/lc$2/eeprom/ini
    sed -i -e 's/MAJOR_INI_VERSION:.*/MAJOR_INI_VERSION:0/' /var/run/hw-management/lc$2/eeprom/ini_parsed
    sed -i -e 's/MINOR_INI_VERSION:.*/MINOR_INI_VERSION:1/' /var/run/hw-management/lc$2/eeprom/ini_parsed
    sed -i -e 's/CARD_TYPE:.*/CARD_TYPE:1/' /var/run/hw-management/lc$2/eeprom/ini_parsed
    sed -i -e 's/PN_VPD_FIELD: MSN4800.*/PN_VPD_FIELD: MSN4800-C4/' /var/run/hw-management/lc$2/eeprom/vpd_parsed
    echo 1 > /var/run/hw-management/events/lc$2_prsnt
    echo 1 > /var/run/hw-management/events/lc$2_verified
    echo 1 > /var/run/hw-management/events/lc$2_synced
    echo 1 > /var/run/hw-management/events/lc$2_powered
elif [ "$1" = "100G" ]; then
    cp /usr/share/cumulus-platform/mlnx/simx_msn4800/etc/cumulus/lc_ini_100G.bin /var/run/hw-management/lc$2/eeprom/ini
    sleep 1
    sed -i -e 's/MAJOR_INI_VERSION:.*/MAJOR_INI_VERSION:0/' /var/run/hw-management/lc$2/eeprom/ini_parsed
    sed -i -e 's/MINOR_INI_VERSION:.*/MINOR_INI_VERSION:3/' /var/run/hw-management/lc$2/eeprom/ini_parsed
    sed -i -e 's/CARD_TYPE:.*/CARD_TYPE:3/' /var/run/hw-management/lc$2/eeprom/ini_parsed
    sed -i -e 's/PN_VPD_FIELD: MSN4800.*/PN_VPD_FIELD: MSN4800-C16/' /var/run/hw-management/lc$2/eeprom/vpd_parsed
    echo 1 > /var/run/hw-management/events/lc$2_prsnt
    echo 1 > /var/run/hw-management/events/lc$2_verified
    echo 1 > /var/run/hw-management/events/lc$2_synced
    echo 1 > /var/run/hw-management/events/lc$2_powered
else
    echo 0 > /var/run/hw-management/events/lc$2_prsnt
    echo 0 > /var/run/hw-management/events/lc$2_verified
    echo 0 > /var/run/hw-management/events/lc$2_synced
    echo 0 > /var/run/hw-management/events/lc$2_powered
fi


